curl -X GET https://api.razorpay.com/v2/accounts/acc_GP4lfNA0iIMn5B/documents \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_LryDIBIjBDbOWy";
Account account = instance.account.fetchAccountDoc(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_M83Uw27KXuC7c8";
$api->account->fetch($accoundId)->fetchAccountDoc();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>",
const accountId = "acc_GP4lfNA0iIMn5B";
instance.accounts.fetchAccountDoc(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
account_id = "acc_0000000000001"
Razorpay::Account.fetch_account_doc(account_id)
{
"business_proof_of_identification": [
{
"type": "shop_establishment_certificate",
"document_id": "doc_GMh9oIJuoCcjdT"
}
]
}
Fetch Account Documents
Fetch the documents uploaded for an Account using Razorpay Curlec APIs.
GET
/
v2
/
accounts
/
:account_id
/
documents
curl -X GET https://api.razorpay.com/v2/accounts/acc_GP4lfNA0iIMn5B/documents \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_LryDIBIjBDbOWy";
Account account = instance.account.fetchAccountDoc(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_M83Uw27KXuC7c8";
$api->account->fetch($accoundId)->fetchAccountDoc();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>",
const accountId = "acc_GP4lfNA0iIMn5B";
instance.accounts.fetchAccountDoc(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
account_id = "acc_0000000000001"
Razorpay::Account.fetch_account_doc(account_id)
{
"business_proof_of_identification": [
{
"type": "shop_establishment_certificate",
"document_id": "doc_GMh9oIJuoCcjdT"
}
]
}
Available in🇮🇳 India🇲🇾 Malaysia🇺🇸 United States
Use this endpoint to fetch the documents uploaded for an account. Know about the various error responses for this API.
curl -X GET https://api.razorpay.com/v2/accounts/acc_GP4lfNA0iIMn5B/documents \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_LryDIBIjBDbOWy";
Account account = instance.account.fetchAccountDoc(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_M83Uw27KXuC7c8";
$api->account->fetch($accoundId)->fetchAccountDoc();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>",
const accountId = "acc_GP4lfNA0iIMn5B";
instance.accounts.fetchAccountDoc(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
account_id = "acc_0000000000001"
Razorpay::Account.fetch_account_doc(account_id)
{
"business_proof_of_identification": [
{
"type": "shop_establishment_certificate",
"document_id": "doc_GMh9oIJuoCcjdT"
}
]
}
Path Parameters
string
required
The unique identifier of a sub-merchant account generated by Razorpay Curlec. For example,
acc_GP4lfNA0iIMn5B.Response Parameters
array
The business proof document. For more details, refer the Appendix.
string
The type of document uploaded. Check the list of Document Types.
string
The id generated once the business proof document is uploaded.